Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::views::slice_base_fn Struct Reference
Inheritance diagram for ranges::views::slice_base_fn:

## Public Member Functions
template<typename Rng >
auto | operator() (Rng &&rng, detail::from_end_of_t< Rng > from, detail::from_end_of_t< Rng > to) const
template<typename Rng >
auto | operator() (Rng &&rng, detail::from_end_of_t< Rng > from, end_fn) const
template<typename Rng >
auto | operator() (Rng &&rng, range_difference_t< Rng > from, detail::from_end_of_t< Rng > to) const
template<typename Rng >
auto | operator() (Rng &&rng, range_difference_t< Rng > from, end_fn) const
template<typename Rng >
constexpr auto | operator() (Rng &&rng, range_difference_t< Rng > from, range_difference_t< Rng > to) const

## Member Function Documentation

## ◆ operator()() [1/5]

template<typename Rng >

auto ranges::views::slice_base_fn::operator() | ( | Rng && | rng,
|  | detail::from_end_of_t< Rng > | from,
|  | detail::from_end_of_t< Rng > | to
| ) |  | const

Precondition
  requires `viewable_range<Rng> && (forward_range<Rng> || (input_range<Rng> && sized_range<Rng>))`

## ◆ operator()() [2/5]

template<typename Rng >

auto ranges::views::slice_base_fn::operator() | ( | Rng && | rng,
|  | detail::from_end_of_t< Rng > | from,
|  | end_fn |
| ) |  | const

Precondition
  requires `viewable_range<Rng> && (forward_range<Rng> || (input_range<Rng> && sized_range<Rng>))`

## ◆ operator()() [3/5]

template<typename Rng >

auto ranges::views::slice_base_fn::operator() | ( | Rng && | rng,
|  | range_difference_t< Rng > | from,
|  | detail::from_end_of_t< Rng > | to
| ) |  | const

Precondition
  requires `viewable_range<Rng> && input_range<Rng> && sized_range<Rng>`

## ◆ operator()() [4/5]

template<typename Rng >

auto ranges::views::slice_base_fn::operator() | ( | Rng && | rng,
|  | range_difference_t< Rng > | from,
|  | end_fn |
| ) |  | const

Precondition
  requires `viewable_range<Rng> && input_range<Rng>`

## ◆ operator()() [5/5]

template<typename Rng >

constexpr auto ranges::views::slice_base_fn::operator() | ( | Rng && | rng,
|  | range_difference_t< Rng > | from,
|  | range_difference_t< Rng > | to
| ) |  | const
| constexpr

Precondition
  requires `viewable_range<Rng> && input_range<Rng>`